deployment-prep down hosts - fix/remove?
Closed, ResolvedPublic

Description

According to http://shinken.wmflabs.org/problems the following hosts are unreachable and down:

  • deployment-puppetdb01: deployment-puppetdb01 is DOWN since 2M 3w 5d 22h 7m 2s
  • deployment-tmh01: deployment-tmh01 is DOWN since 1M 3w 2h 7m 29s
  • deployment-videoscaler01: deployment-videoscaler01 is DOWN since 1M 3w 2h 7m 44s

all of them have the "no route to host" flag.

Thanks

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 1:02 PM

@MoritzMuehlenhoff: As I saw you commenting about deployment-videoscaler01 on T174477#3737836, do you know (or know who knows) whether deployment-videoscaler01 is still needed or can be deleted? If the former, who is expected to take care of it being down? Thanks.


Commented on T174477 about deployment-tmh01, deployment-puppetdb01 is T187736

Yeah, I think both deployment-tmh01 and deployment-videoscaler01 can be deleted, they are not functional in deployment-prep and TTBOMK were only ever used to test the puppet manifests in general. Let's doublecheck with @brion, unless he has a use for those, I can remove them.

@brion commented on T174477. We can go ahead a delete deployment-tmh01. Still need confirmation for deployment-videoscaler01.

@EddieGP: I can confirm that deployment-videoscaler01 is unused, it was setup to fix/test compatibility problems with Debian stretch and ffmpeg/ffmpeg2theora, but never served as an active scaler. I'll take care of removing it (along with tmh01). I used to have the permission to create/remove instances in deployment-prep, but there was a recent cleanup and I no longer can. I'll sort out how to get these removed and will update the tasks when done.

Thanks. I've seen access problems on a few other tasks related to beta breakage I was poking; afaik the removal was not intentional (and does not seem to be documented anywhere), so access seems to always be restored on request.

Mentioned in SAL (#wikimedia-operations) [2018-04-05T07:51:47Z] <moritzm> removed unused/defunct deployment-tmh01 from deployment-prep (T191293)

Mentioned in SAL (#wikimedia-operations) [2018-04-05T07:52:13Z] <moritzm> removed unused/defunct deployment-videoscaler01 from deployment-prep (T191293)

Mentioned in SAL (#wikimedia-releng) [2018-04-05T07:52:29Z] <moritzm> removed unused/defunct deployment-tmh01 from deployment-prep (T191293)

Mentioned in SAL (#wikimedia-releng) [2018-04-05T07:52:37Z] <moritzm> removed unused/defunct deployment-videoscaler01 from deployment-prep (T191293)

EddieGP closed this task as Resolved.Apr 5 2018, 8:30 AM
EddieGP claimed this task.

puppetdb is T187736, let's call this resolved